Unsuppress a customer profile
Unsuppressing a profile allows you to add the customer back to Customer.io. If you unsuppress a person in a workspace that identifies people by email or ID and the suppressed person had both an email and ID, both the person's email and ID are unsuppressed.
Unsuppressing a profile does not recreate the profile that you previously suppressed. Rather, it just makes the identifier available again. Identifying a person after unsuppressing them creates a new profile, with none of the history of the previously suppressed identifier.
- identifierrequired
The unique value representing a person. The values you use to identify a person may be an
id,emailaddress, or thecio_id(when updating people), depending on your workspace settings. When you reference people bycio_id, you must prefix the value withcio_.You can't reference a person by their
phonenumber here. We determine the identifier type from the shape of the value, so a phone number in the path is treated as anid. To identify people by phone number, use the Track v2 API.- Type: string · id
The unique identifier for a person that you want to create or modify.
- 200
A successful request returns an empty object response.
- 401
Unauthorized request. Make sure that you provided the right credentials.
curl https://track.customer.io/api/v1/customers/12345/unsuppress \
--request POST \
--header 'Authorization: Basic username:password'
A successful request returns an empty object response.